/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

/* TODO: tune the colors to my liking */
:root {
  --tone: rgb(248, 237, 235);
  --mistone: rgb(11, 11, 18);
  --tone-rgb: 248, 237, 235;
  --mistone-rgb: 11, 11, 18;

  --font-color: rgba(var(--mistone-rgb), 1);
  --font-color-hover: rgba(var(--mistone-rgb), 0.75);
  --font-muted: rgba(var(--mistone-rgb), 0.5);
  --background-color: rgba(var(--tone-rgb), 1);
  --box-shadow: rgba(var(--mistone-rgb), 0.08);

  --box-link-bg: rgba(224, 214, 213, 1);
  --font-muted-rgb: rgba(129, 124, 126, 1);

  --border-top: rgba(var(--mistone-rgb), 0.15);
  --toggle-border: rgba(var(--mistone-rgb), 0.1);

  --toggle-url: url("data:image/svg+xml,%3csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3e%3cpath stroke='rgba(0, 0, 0, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");

  --open-sans: "Open Sans", sans-serif;
  --source-sans: "Source Sans Pro", sans-serif;
}

:root {
  --one-rgb: 247, 37, 133;
  --two-rgb: 114, 9, 183;
  --three-rgb: 58, 12, 163;
  --four-rgb: 67, 97, 238;
  --five-rgb: 76, 201, 240;

  --five-rgb-50: 162, 219, 237.5;

  --one: #f72585;
  --two: #7209b7;
  --three: #3a0ca3;
  --four: #4361ee;
  --five: #4cc9f0;
}

/* latin-ext */
@font-face {
  font-family: "Great Vibes";
  font-style: normal;
  font-weight: 400;
  src: local("Great Vibes"), local("GreatVibes-Regular"),
    url(https://fonts.gstatic.com/s/greatvibes/v7/RWmMoKWR9v4ksMfaWd_JN9XLiaQoDmlrMlY.woff2)
      format("woff2");
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB,
    U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: "Great Vibes";
  font-style: normal;
  font-weight: 400;
  src: local("Great Vibes"), local("GreatVibes-Regular"),
    url(https://fonts.gstatic.com/s/greatvibes/v7/RWmMoKWR9v4ksMfaWd_JN9XFiaQoDmlr.woff2)
      format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA,
    U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215,
    U+FEFF, U+FFFD;
}

html {
  background-color: var(--background-color);
  scroll-behavior: smooth;
}

body {
  background-color: var(--background-color);
}

.header {
  background-color: var(--background-color);
  border-bottom: 1px solid var(--border-top);
}

footer {
  padding: 15px;
  white-space: nowrap;
  border-top: 1px solid var(--border-top);
}

.footer {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  flex-wrap: wrap;
}

div.footer > h6 {
  width: min-content;
  color: var(--font-muted);
  line-height: 60px; /* Vertically center the text there */
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--font-color);
  font-family: "Montserrat", sans-serif;
}

t4,
.t4 {
  position: relative;
  display: inline-block;
  width: 100%;
  line-height: 1.2;

  padding: 15px 0 8px 0;
  margin-bottom: 1rem;

  font-family: "Montserrat", sans-serif;
  font-weight: 500;
}

t4,
.t4 {
  font-size: 1.5rem;
}

t4:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 1px;
  left: 0;
  bottom: 0;
  background: rgb(76, 201, 240);
  background: linear-gradient(
    270deg,
    rgba(76, 201, 240, 1) 0%,
    rgba(67, 97, 238, 1) 100%
  );
}

a,
p {
  position: relative;
  color: var(--font-color);
  font-family: "Montserrat", sans-serif;
}
a {
  text-decoration: none;
}
a:hover {
  color: var(--font-color);
  text-decoration: none;
}
.a-underline:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 25%;
  left: 0;
  bottom: 25%;
  background: rgb(76, 201, 240);
  background: linear-gradient(
    270deg,
    rgba(76, 201, 240, 0.25) 0%,
    rgba(67, 97, 238, 0.25) 100%
  );
  text-decoration: none;
  transition: 0.25s;
}
.a-underline:hover:after {
  color: var(--font-color);
  height: 50%;
  text-decoration: none;
  transition: 0.25s;
}
.invert > .a-underline:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 25%;
  left: 0;
  bottom: 25%;
  background: rgb(76, 201, 240);
  background: linear-gradient(
    270deg,
    rgba(76, 201, 240, 0.5) 0%,
    rgba(67, 97, 238, 0.5) 100%
  );
  text-decoration: none;
  transition: 0.25s;
  z-index: 0;
}
.invert > .a-underline:hover:after {
  color: var(--font-color);
  height: 50%;
  text-decoration: none;
  transition: 0.25s;
}

p {
  text-align: justify;
}

ul,
lh,
li {
  list-style-type: none;
  font-family: "Montserrat", sans-serif;
}

li {
  margin-left: 0.5rem;
}

.tag,
tag {
  color: var(--font-color);
  font-size: 0.6rem;
  padding: 2px 6px;
  border: solid 1px rgba(var(--mistone-rgb), 0.5);
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

.tag-list {
  max-width: 280px;
  margin-bottom: 0.5rem;
}

.logo {
  display: block;
  width: 28px;
  height: 28px;
  border-radius: 50%;
  border: 1px solid var(--border-top);
}

button:not([disabled])button:hover svg {
  -webkit-filter: invert(100%);
  filter: invert(100%);
}

@media (min-width: 976px) {
  .container {
    max-width: 620px;
    transition: max-width 0.2s ease, min-width 0.2s ease;
  }
}

@media (min-width: 1168px) {
  .container {
    max-width: 800px;
    transition: max-width 0.2s ease, min-width 0.2s ease;
  }
}

@media (min-width: 1392px) {
  .container {
    max-width: 1040px;
    transition: max-width 0.2s ease, min-width 0.2s ease;
  }
}

@media (min-width: 1600px) {
  .container {
    max-width: 1220px;
    transition: max-width 0.2s ease, min-width 0.2s ease;
  }
}

::selection {
  color: var(--tone);
  background: var(--mistone);
}

.invert,
.invert * {
  color: var(--tone);
  background-color: var(--mistone);
}

.invert:hover,
.invert *:hover {
  text-decoration-color: var(--tone);
}

.mute {
  color: var(--font-muted-rgb);
}

div.invert *::selection {
  color: var(--mistone);
  background: var(--tone);
}

.timestamp {
  position: absolute;
  font-size: 0.9rem;
  line-height: 1.2;
  top: 1.2rem;
  right: 15px;
  color: var(--font-muted);
}

.left-center {
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}
.right-center {
  top: 50%;
  right: 0;
  transform: translateY(-50%);
}

.flex-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

#about {
  display: flex;
  justify-content: space-between;
  flex-flow: row nowrap;
  align-items: stretch;
  padding-top: 15px;

  --profile-width: 256px;
}

@media (max-width: 568px) {
  #about {
    flex-flow: column nowrap;
    align-items: center;
  }
}

.abstract {
  flex: 1;
  padding: 15px;
}

.center {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 2rem;
}

.center h4,
.center h5 {
  text-align: center;
}

.profile {
  width: var(--profile-width);
  padding: 15px;

  display: flex;
  flex-direction: column;
  align-items: center;
}

@media (max-width: 568px) {
  .profile {
    width: 100%;
  }
}

.profile * {
  width: 100%;
  max-width: 100%;
  padding: 0 0 16px 0;
}

.social-links {
  display: flex;
  justify-content: space-between;
  padding: 3px 6px 6px 6px;
}

.icon {
  padding: 6px;
  width: 36px;

  -webkit-filter: grayscale(10%);
  filter: grayscale(10%);
}

.icon-link {
  width: 36px;
  vertical-align: middle;
  margin: 0px 6px 0px 6px;
}

.icon-link {
  width: 36px;
  padding: 0px;
  vertical-align: middle;
  margin: 0px 6px 0px 6px;
}

.icon:hover,
.icon:focus {
  background-color: rgba(var(--mistone-rgb), 0.1);
  -webkit-filter: grayscale(100%);
  filter: grayscale(100%);
  transition: 0.2s;
}

.top {
  position: fixed;
  bottom: 1.5rem;
  right: 1rem;
  opacity: 1;
  z-index: 1;
}

html:not([data-scroll="0"]) .top {
  opacity: 1;
  transition: 0.125s ease-in-out;
}

html[data-scroll="0"] .top {
  opacity: 0;
  transition: 0.125s ease-in-out;
}

/* =============== BUTTONS =============== */

button,
.link {
  width: min-content;
  text-decoration: none;
  transition: 0.2s;
}
button:hover,
.link:hover {
  text-decoration: none;
  transition: 0.2s;
}

.contrast-button:disabled,
.contrast-button[disabled] {
  color: transparent !important;
  text-decoration: none;
  background: var(--mistone);
  border: solid 1px var(--mistone);
}

.box-link {
  display: block;
  padding: 4px 32px;
  text-align: center;
  line-height: 28px;
  font-size: 22px;
  letter-spacing: 1px;
}

.tone-link {
  background-color: var(--tone);
  border: solid 1px rgba(var(--four-rgb), 0.5);
}

.tone-link:hover,
.tone-link:focus {
  color: var(--tone);
  background: var(--four);
  border: solid 1px transparent;
}

.contrast-button {
  color: var(--mistone);
  background-color: transparent;
  border: solid 1px var(--font-muted);
}

.contrast-button:hover {
  color: var(--tone);
  background: var(--mistone);
  border: solid 1px var(--mistone);
}

.banner {
  height: min-content;
  padding: 15px;
  margin: 15px 0;
  background-color: var(--box-link-bg);
}

.passage,
.flex-col-center {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#contact {
  display: grid;
  grid-template-columns: 50% 50%;
}
@media (max-width: 568px) {
  #contact {
    display: flex;
    flex-direction: column;
  }
}

.form-head {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
}

div.form-head h3 {
  padding: 1rem;
  text-align: center;
}

#char-count {
  position: relative;
  float: right;
  bottom: 1.5rem;
  right: 1rem;
  font-size: 0.875rem;
  color: var(--font-muted);
}

.skills-list {
  flex: 0 1 25%;
  padding: 0;
  margin: 1rem 1rem;
}

.skills-list lh {
  font-size: 1.25rem;
  white-space: nowrap;
}

.skills-list li {
  font-size: 1rem;
  padding: 4px 8px;
  border-left: 1px solid var(--five);
  transition: 0.25s;
}
.skills-list li:hover {
  border-left: 3px solid var(--five);
  transition: 0.25s;
}

.timeline::after {
  content: "";
  display: inline-block;
  position: relative;
  min-width: 28px;
  height: 28px;

  top: -28px;
  left: -12px;
  border-radius: 50%;
  border: 7px solid rgba(var(--five-rgb-50), 1);
}

.timeline {
  position: relative;
  width: 5px;
  margin: 42px 8px 0 8px;
  background-color: rgba(var(--five-rgb-50), 1);
}
.timeline::before {
  content: "";
  display: inline-block;
  position: absolute;
  width: 5px;
  height: 2rem;
  height: 48px;
  bottom: -48px;
  background-color: rgba(var(--five-rgb-50), 1);
}

.timeline-end {
  position: relative;
  min-width: 28px;
  height: 28px;
  margin: 10px 0 0 -4px;
  border-radius: 50%;
  border: 7px solid rgba(var(--five-rgb-50), 1);
}

.job {
  position: relative;
  width: 100%;
  padding: 1rem;
  margin: 0 8px;
}

@font-face {
  font-family: "Monrad Grotesk";
  src: url("../../res/fonts/MonradGrotesk-Light.woff") format("truetype");
}

@font-face {
  font-family: "Kelvetica";
  src: url("../../res/fonts/Kelvetica Nobis.otf") format("truetype");
}

.history {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

div.history a {
  display: flex;
  width: min-content;
}

div.history h5 {
  margin-bottom: 0.2rem;
}

.event {
  display: flex;
}

.award {
  height: 400px;
  padding: 1rem;
  margin: 1rem;
  flex: 0 1 180px;
  clip-path: polygon(0 0, 100% 0%, 100% 75%, 0% 100%);
  background: url(../../res/images/mistone-noise.png);
}

.award * {
  text-align: center;
}

.award h6 {
  margin: 100px 0;
}
